<?php

namespace DNB;

use ArrayIterator;

class Assigment extends AbstractPostSerializable implements PostSerializableInterface {
    public function __construct(
        private string $assignmentNumber,
        private ?string $name
    ){}

    public function toPostParams(): array {
        return [
            'assignmentNumber' => $this->assignmentNumber
        ];
    }

    protected static function getClassVars(): array {
        return array_keys(get_class_vars(__CLASS__));
    }
}
