<?php

namespace DNB;

class Prospectus extends AbstractPostSerializable implements PostSerializableInterface {
    public function __construct(
        private Assigment $assigment,
        private Questionaire $questionaire,
        private Customer $customer,
    ) {}

    public function toPostParams(): array {
        return array_merge(
            $this->assigment->toPostParams(),
            $this->questionaire->toPostParams(),
            [
                'customer' => $this->customer->toPostParams()
            ]
        );
    }

    protected static function getClassVars(): array {
        return array_keys(get_class_vars(__CLASS__));
    }
}
